version: '2'
services:
  jupyter:
    hostname: jupyter
    container_name: jupyter
    restart: always
    image: jupyterlab:dev
    privileged: true
    ipc: host
    tty: true
    # network_mode: "host"
    # working_dir: /workspace
    ports:
      - '25522:8888'
      # - '8998:8998'
      # - '22522:22'
      # - "10000-10010:10000-10010"
    volumes:
      # - ./config.json:/home/sxkj/.sparkmagic/config.json
      - ./:/workspace
